# BEGIN SourceDeps(oneline):
BuildRequires: perl(Crypt/SmbHash.pm) perl(ExtUtils/MakeMaker.pm) perl(Plugtools.pm) perl(Samba/SIDhelper.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.1.1
%define module_name Plugtools-Plugins-Samba
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.1.1
Release: alt1
Summary: Provides various methods used by the plugins in this.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/V/VV/VVELOX/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module provides a collection of methods used by the Samba plugins for
Plugtools.

    use Plugtools::Plugins::Samba;
    use Plugtools;

    my $pt=Plugtools->new;

    my $ldap=$pt->connect;

    my $pts = Plugtools::Plugins::Samba->new({
                                              pt=>$pt,
                                              ldap=>$ldap
                                             });
    ...

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/P*

%files scripts
%_bindir/*

%changelog
* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.1-alt1
- initial import by package builder

